package net.northking.cctp.device.dto.pcDevice;

import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.device.db.entity.CdEngineInfo;
import net.northking.cctp.device.db.entity.CdPcDevice;
import net.northking.cctp.device.db.entity.CdPcUser;

public class CdPcDeviceRemoteDto {

    @ApiModelProperty("引擎信息")
    private CdEngineInfo cdEngineInfo;

    @ApiModelProperty("PC设备信息")
    private CdPcDevice cdPcDevice;

    @ApiModelProperty("PC设备用户信息")
    private CdPcUser cdPcUser;

    @ApiModelProperty("设备令牌")
    private String token;

    public CdEngineInfo getCdEngineInfo() {
        return cdEngineInfo;
    }

    public void setCdEngineInfo(CdEngineInfo cdEngineInfo) {
        this.cdEngineInfo = cdEngineInfo;
    }

    public CdPcDevice getCdPcDevice() {
        return cdPcDevice;
    }

    public void setCdPcDevice(CdPcDevice cdPcDevice) {
        this.cdPcDevice = cdPcDevice;
    }

    public CdPcUser getCdPcUser() {
        return cdPcUser;
    }

    public void setCdPcUser(CdPcUser cdPcUser) {
        this.cdPcUser = cdPcUser;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }
}
